## visad
Class ContourControl.ZoomDoneListener

    java.lang.Object
      visad.ContourControl.ZoomDoneListener

All Implemented Interfaces:
  DisplayListener, EventListener

Enclosing class:
  ContourControl

class ContourControl.ZoomDoneListener
extends Object
implements DisplayListener

Field Summary
`(package private) ContourControl` `c_cntrl`
`(package private) double` `last_scale`
`(package private) MouseBehavior` `mouse`
`(package private) ProjectionControl` `p_cntrl`

Constructor Summary
`(package private)` `ContourControl.ZoomDoneListener(ContourControl c_cntrl, ProjectionControl p_cntrl, MouseBehavior mouse, double scale)`

Method Summary
`void` `displayChanged(DisplayEvent de)` send a DisplayEvent to this DisplayListener
`void` `reLabel(double ratio)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### c_cntrl

    ContourControl c_cntrl

### p_cntrl

    ProjectionControl p_cntrl

### mouse

    MouseBehavior mouse

### last_scale

    double last_scale

Constructor Detail

### ContourControl.ZoomDoneListener

    ContourControl.ZoomDoneListener(ContourControl c_cntrl,
                                    ProjectionControl p_cntrl,
                                    MouseBehavior mouse,
                                    double scale)

Method Detail

### displayChanged

    public void displayChanged(DisplayEvent de)
                        throws VisADException,
                               RemoteException

  Description copied from interface: `DisplayListener`
  send a DisplayEvent to this DisplayListener

  Specified by:
    `displayChanged` in interface `DisplayListener`
  Parameters:
    `de` - DisplayEvent to send
  Throws:
    `VisADException` - a VisAD error occurred
    `RemoteException` - an RMI error occurred

### reLabel

    public void reLabel(double ratio)
                 throws VisADException,
                        RemoteException

  Throws:
    `VisADException`
    `RemoteException`